<template>
  <div class="common-layout cabinet-layout">
    <el-container class="main-container">
      <el-aside :class="this.$route.meta.secondAside?'bigAsideSize':''">
        <AsideComponent></AsideComponent>
        <SecondMenuAsideComponent v-if="this.$route.meta.secondAside"></SecondMenuAsideComponent>
      </el-aside>
      <el-main class="cabinet-container">
          <router-view></router-view>
      </el-main>
    </el-container>
  </div>
</template>

<script>
import AsideComponent from '@/views/cabinet-components/AsideComponent'
import SecondMenuAsideComponent from '@/views/cabinet-components/SecondMenuAsideComponent'

export default {
  name: 'CabinetLayout',
  components:{
    AsideComponent,
    SecondMenuAsideComponent
  }
};
</script>
